<?php

// Sécurité
if (!defined('_ECRIRE_INC_VERSION')) {
	return;
}

/**
 * Calculer le prix HT des produits
 *
 * @param $objet
 * @param $id_objet
 * @param $options
 * @param $ligne
 *
 * @return mixed
 */
function prix_option_produit_ht($objet, $id_objet, $options, $ligne) {
	if(isset($options['options'])) {
		$options = $options['options'];
	}
	if(is_string($options)) {
		$options = explode('|', trim($options, '|'));
	}
	
	static $cache;
	$hash = md5(json_encode(array($objet, $id_objet, $options, $ligne)));
	if (isset($cache[$hash])) {
		return $cache[$hash];
	}
	
	$prix_ht = $ligne['prix_ht'];
	foreach ($options as $option) {
		$prix_ht += sql_getfetsel(
			'prix_option_objet',
			'spip_options_liens',
			array(
				'id_option = ' . intval($option),
				'objet = ' . sql_quote($objet),
				'id_objet = ' . intval($id_objet),
			)
		);
	}
	$cache[$hash] = $prix_ht; 

	return $cache[$hash];
}

/**
 * Calculer le prix TTC des produits
 *
 * @param $objet
 * @param $id_objet
 * @param $options
 * @param $prix_ht
 *
 * @return mixed
 */
function prix_option_produit($objet, $id_objet, $options, $prix_ht) {
	include_spip('base/abstract_sql');

	if ($taxe = sql_getfetsel('taxe', 'spip_produits', 'id_produit = ' . $id_objet)) {
		$prix_ttc = $prix_ht * (1 + $taxe);
	}

	return $prix_ttc;
}